import { store } from "@/store";
import { defineStore } from "pinia";

export const useDictionaryStore = defineStore("dictionaryStore", {
  state: () => ({
    /**
     * 需要后端返回的type
     */
    types: ["station_type", "station_operate_type"],
    dicts: [],
  }),
  persist: {
    enabled: true,
    strategies: [
      {
        key: "dicts",
        storage: sessionStorage,
        paths: ["dicts"],
      },
    ],
  },
});

export function useDictionaryStoreHook() {
  return useDictionaryStore(store);
}
